{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "brj_etat"; 
            externalType = VARCHAR2; 
            name = brjEtat; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "brj_num"; 
            externalType = NUMBER; 
            name = brjNum; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "BRJ_ORDRE"; 
            externalType = NUMBER; 
            name = brjOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ges_code"; 
            externalType = VARCHAR2; 
            name = gesCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "TBO_ORDRE"; 
            externalType = NUMBER; 
            name = tboOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "utl_ordre"; 
            externalType = NUMBER; 
            name = utlOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (brjEtat, brjNum, brjOrdre, exeOrdre, gesCode, tboOrdre, utlOrdre); 
    className = "org.cocktail.maracuja.server.metier.EOBordereauRejet"; 
    classProperties = (brjEtat, brjNum, exercice, gestion, typeBordereau, utilisateur); 
    externalName = "maracuja.Bordereau_Rejet"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (brjEtat, brjNum, exercice, gestion, typeBordereau, utilisateur); 
        "_javaClientClassName" = "org.cocktail.maracuja.client.metier.EOBordereauRejet"; 
    }; 
    name = BordereauRejet; 
    primaryKeyAttributes = (brjOrdre); 
    relationships = (
        {
            destination = Exercice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }, 
        {
            destination = Gestion; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = gesCode; sourceAttribute = gesCode; }); 
            name = gestion; 
        }, 
        {
            destination = TypeBordereau; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tboOrdre; sourceAttribute = tboOrdre; }); 
            name = typeBordereau; 
        }, 
        {
            destination = Utilisateur; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = utlOrdre; sourceAttribute = utlOrdre; }); 
            name = utilisateur; 
        }
    ); 
}
